Bug 10537 - pine requires krb5-config and krb5-libs
pine requires krb5-config and krb5-libs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-03 05:52 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-07 17:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-04-03 05:52:02 EDT
Kerberos support was added in Redhat 6.2.

However, I'd estimate that 99% of Redhat users are NOT really interested in
Kerberos stuff.  Installing pine requires you install krb5-config and
krb5-libs too.  I'd like to keep krb5* out of my systems.

Isn't there a neater way of integrating Kerberos with pine, e.g. via
releasing pine-x.y.rpm and pine-krb5-x.y.rpm ?

What would be more useful than Kerberos, would IMO be SSL patches for
secure IMAP connections.
Comment 1 Trond Eivind Glomsrxd 2000-04-07 17:20:59 EDT
The need for krb5-config is gone in Raw Hide.
Comment 2 Felipe Mendel N. Prates 2001-02-16 14:53:02 EST
are you sure? this pine-4.32-1 package was just taken from Raw Hide. look:

# rpm -i --test pine-4.32-1.i386.rpm 
error: failed dependencies:
        libk5crypto.so.3   is needed by pine-4.32-1
        libkrb5.so.3   is needed by pine-4.32-1
Comment 3 Pekka Savola 2001-02-16 14:56:07 EST
krb5-config, not krb5-libs :-)

There are (or at least were; I think someone removed them) hooks in pine to rebuild the package 
without krb5 etc. using a simple --define or changing the .spec file, though.

Note You need to log in before you can comment on or make changes to this bug.